# -*- coding: utf-8 -*-
from setuphelpers import *


bin_path = makepath(programfiles, "smartmontools", "bin", "smartctl.exe")


def get_soft_version(key):
    return get_file_properties(bin_path)["ProductVersion"]


def install():
    bin_name = glob.glob("smartmontools*.exe")[0]
    install_exe_if_needed(
        bin_name,
        silentflags="/S",
        key="smartmontools",
        min_version=control.get_software_version(),
        get_version=get_soft_version,
    )
